package com.colorful.keyboard.theme.model;

public class ThemeDetailsBean {

    private Object errCode;
    private Object errMessage;
    private DataBean data;
    private boolean success;

    public Object getErrCode() {
        return errCode;
    }

    public void setErrCode(Object errCode) {
        this.errCode = errCode;
    }

    public Object getErrMessage() {
        return errMessage;
    }

    public void setErrMessage(Object errMessage) {
        this.errMessage = errMessage;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public static class DataBean {
        private ItemBean item;

        public ItemBean getItem() {
            return item;
        }

        public void setItem(ItemBean item) {
            this.item = item;
        }

        public static class ItemBean {
            private String key;
            private String title;
            private int type;
            private String thumbUrl;
            private String pkgName;
            private String thumbUrlGif;
            private ContentBean content;
            private ThemeContentBean themeContent;
            private AuthorBean author;
            private LockBean lock;

            public String getKey() {
                return key;
            }

            public void setKey(String key) {
                this.key = key;
            }

            public String getTitle() {
                return title;
            }

            public void setTitle(String title) {
                this.title = title;
            }

            public int getType() {
                return type;
            }

            public void setType(int type) {
                this.type = type;
            }

            public String getThumbUrl() {
                return thumbUrl;
            }

            public void setThumbUrl(String thumbUrl) {
                this.thumbUrl = thumbUrl;
            }

            public String getPkgName() {
                return pkgName;
            }

            public void setPkgName(String pkgName) {
                this.pkgName = pkgName;
            }

            public String getThumbUrlGif() {
                return thumbUrlGif;
            }

            public void setThumbUrlGif(String thumbUrlGif) {
                this.thumbUrlGif = thumbUrlGif;
            }

            public ContentBean getContent() {
                return content;
            }

            public void setContent(ContentBean content) {
                this.content = content;
            }

            public ThemeContentBean getThemeContent() {
                return themeContent;
            }

            public void setThemeContent(ThemeContentBean themeContent) {
                this.themeContent = themeContent;
            }

            public AuthorBean getAuthor() {
                return author;
            }

            public void setAuthor(AuthorBean author) {
                this.author = author;
            }

            public LockBean getLock() {
                return lock;
            }

            public void setLock(LockBean lock) {
                this.lock = lock;
            }

            public static class ContentBean {
                private String imageUrl;

                public String getImageUrl() {
                    return imageUrl;
                }

                public void setImageUrl(String imageUrl) {
                    this.imageUrl = imageUrl;
                }
            }

            public static class ThemeContentBean {
                private String img;
                private String imgPreviewGif;
                private String pushIcon;
                private String pushBanner;
                private String imgBanner;
                private String androidRawZipUrl;
                private String imgGif;

                public String getImg() {
                    return img;
                }

                public void setImg(String img) {
                    this.img = img;
                }

                public String getImgPreviewGif() {
                    return imgPreviewGif;
                }

                public void setImgPreviewGif(String imgPreviewGif) {
                    this.imgPreviewGif = imgPreviewGif;
                }

                public String getPushIcon() {
                    return pushIcon;
                }

                public void setPushIcon(String pushIcon) {
                    this.pushIcon = pushIcon;
                }

                public String getPushBanner() {
                    return pushBanner;
                }

                public void setPushBanner(String pushBanner) {
                    this.pushBanner = pushBanner;
                }

                public String getImgBanner() {
                    return imgBanner;
                }

                public void setImgBanner(String imgBanner) {
                    this.imgBanner = imgBanner;
                }

                public String getAndroidRawZipUrl() {
                    return androidRawZipUrl;
                }

                public void setAndroidRawZipUrl(String androidRawZipUrl) {
                    this.androidRawZipUrl = androidRawZipUrl;
                }

                public String getImgGif() {
                    return imgGif;
                }

                public void setImgGif(String imgGif) {
                    this.imgGif = imgGif;
                }
            }

            public static class AuthorBean {
                private String name;
                private String key;
                private String photoUrl;
                private String homeUrl;

                public String getName() {
                    return name;
                }

                public void setName(String name) {
                    this.name = name;
                }

                public String getKey() {
                    return key;
                }

                public void setKey(String key) {
                    this.key = key;
                }

                public String getPhotoUrl() {
                    return photoUrl;
                }

                public void setPhotoUrl(String photoUrl) {
                    this.photoUrl = photoUrl;
                }

                public String getHomeUrl() {
                    return homeUrl;
                }

                public void setHomeUrl(String homeUrl) {
                    this.homeUrl = homeUrl;
                }
            }

            public static class LockBean {
                private int type;

                public int getType() {
                    return type;
                }

                public void setType(int type) {
                    this.type = type;
                }
            }
        }
    }
}
